Summary:  Libgcrypt is a general purpose crypto library based on the code used in GnuPG
Name: libgcrypt
Version: 1.2.2
Release: 2tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnupg.org/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: libgpg-error-devel 

%description
Libgcrypt is a general purpose crypto library based on the code
used in GnuPG.  We can't start with a new version number because
libgcrypt was part of gnupg 1.1 and some applications already used
it and tested for the version number. We believe that the API can
stay as it is, except that new functions may be added in the
future.

%package devel
Summary: Development files for the %{name} package.
Group: Trustix Official
Requires: libgpg-error-devel
Requires: %{name} = %{version}-%{release}

%description devel
Libgcrypt is a general purpose crypto library based on the code used
in GNU Privacy Guard.  This package contains files needed to develop
applications using libgcrypt.

%prep
%setup -q 

%build
# fix the configure script!
perl -pi -e 's/ --prefix=\$gpg_error_config_prefix//' configure
%configure --prefix=%{_prefix} 
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT/usr/share/info

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,0755)
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Jun 19 2006 Nived Gopalan <nived at trustix dot org> 1.2.2-1tr
- New Upstream.

* Wed Mar 16 2005 Bipin S  <bipin at comodo dot com> 1.2.1-3tr
- Rebuilt

* Tue Mar 01 2005 Ajith Thampi <ajith at comodo dot com> 1.2.1-1tr
- New Upstream
- minor cleanup

* Tue Dec 14 2004 Syed Shabir <syedshabir at comodo dot com> 1.2.0-1sh
- New Upstream
- Added libgpg-error Requirement

* Mon Dec 06 2004 Syed Shabir <syedshabir at comodo dot com> 
- Initial Spec file for libgcrypt
